# Dapr Community Managers

## Charter

Community managers are responsible for managing many aspects of the Dapr community. The role is to engage and promote the Dapr community and have someone that the community can reach out to for guidance or to raise a concern. This document outlines a list of duties that a community manager can perform.

### Duties

A community manager can perform the following duties:

* Manage the Discord community including organizing and monitoring the Discord channels, establishing community rules, and aiding on the overall health of the Discord community. 
* Review and publish Dapr blog posts submitted by the community.
* Plan, manage and host Dapr community calls.
* Plan, prepare sharable content, and ensure overall health of Dapr community meetups.
* Report out regularly on community health, growth trends, and top issues to maintainers and STC.
* Can propose new partnerships with other adjacent communities to STC and then manage them.
* Manage community analytics tools including Google Analytics, CommonRoom.io and Scarf.sh.
* Manage the [@daprdev](https://twitter.com/daprdev) Twitter account.

### Duties that require STC approval

* Add new analytics tools

## Process to become a Community Manager

Self-nominate via a [new issue in the community repository](https://github.com/dapr/community/issues/new) stating why you want to be an community manager, or alternatively contact an STC member. A community manager needs approval from 3 or more STC members. 

Once a community manager is approved they are added to the [MAINTAINERS.md](./MAINTAINERS.md) file including a non-voting statement to indicate the community manager does not have voting rights as the regular maintainers do.

## Limits and Expiration

The community manager role expires 12 months from the date it was approved. Reapproval is then required. To minimize the number of people to coordinate between, there can a maximum of 3 active community manager. 

## Removal

The community manager role is removed in case of the following:
* Expiration of the 12 months term.
* STC votes with simple majority to remove Community Manager.
* The community manager can ask to have themselves removed from the role. 

## Current Community Managers
The following community managers have been approved by the STC:

| Name | GitHub Handle | Discord Handle | Company | Status | Timezone | Term Start | Term End |
| - | - | -  | - | - | - | - | -
| Marc Duiker | [@marcduiker](https://github.com/marcduiker) | MarcDuiker#2929 | Diagrid | Active | UTC+1/CET | Feb 15th, 2023 | Feb 15th, 2024
| Nyemade Uversky  | [@nyemade-uversky](https://github.com/nyemade-uversky) | nuversky#2099 | Microsoft | Active | PST | Feb 15th, 2023 | Feb 15th, 2024

### Statuses
   * Active: Currently an active community manager.
   * Inactive: Previously held a community manager role.
